ZIP_SOURCE_PASS_TO_LOWER_LAYER(3)

NAME
zip_source_pass_to_lower_layer - pass command to lower layer

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
zip_int64_t
zip_source_pass_to_lower_layer(zip_source_t *source, void *data, zip_uint64_t length, zip_source_cmd_t command);

DESCRIPTION
The functions zip_source_pass_to_lower_layer() is used in a layered source callback to pass commands for which you don't want to change the result to the lower layer. You can use it in the default case of the callback.

RETURN VALUES
The return value is meant to be returned by the callback.

SEE ALSO
libzip(3), zip_source(5), zip_source_layered(3)

HISTORY
zip_source_pass_to_lower_layer() was added in libzip 1.10.

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>